OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

Data Structures | Functions | Variables
Snowline functions and data structures

## Data Structures
struct | SnowLine
| Structure describing the height of the snow line each day of the year. More...

## Functions
bool | IsSnowLineSet ()
| Has a snow line table already been loaded.
void | SetSnowLine (byte table[SNOW_LINE_MONTHS][SNOW_LINE_DAYS])
| Set a variable snow line, as loaded from a newgrf file.
byte | GetSnowLine ()
| Get the current snow line, either variable or static.
byte | HighestSnowLine ()
| Get the highest possible snow line height, either variable or static.
byte | LowestSnowLine ()
| Get the lowest possible snow line height, either variable or static.
void | ClearSnowLine ()
| Clear the variable snow line table and free the memory.

## Variables
static SnowLine * | _snow_line = NULL
| Description of the snow line throughout the year.

## Detailed Description

## Function Documentation

byte GetSnowLine | ( |  | ) |

Get the current snow line, either variable or static.

Returns
  the snow line height.

Definition at line 564 of file landscape.cpp.

References _date, _settings_game, ConvertDateToYMD(), YearMonthDay::day, GameSettings::game_creation, YearMonthDay::month, GameCreationSettings::snow_line_height, and SnowLine::table.

Referenced by TownViewWindow::DrawWidget(), GetGlobalVariable(), GetTerrainType(), PlaceTreesRandomly(), SplitGroundSpriteForOverlay(), TileLoopClearAlps(), and UpdateTownGrowRate().

byte HighestSnowLine | ( |  | ) |

Get the highest possible snow line height, either variable or static.

Returns
  the highest snow line height.

Definition at line 578 of file landscape.cpp.

References _settings_game, GameSettings::game_creation, SnowLine::highest_value, and GameCreationSettings::snow_line_height.

Referenced by BuildTownHouse(), CheckNewIndustry_Farm(), and CheckNewIndustry_Forest().

bool IsSnowLineSet | ( |  | ) |

Has a snow line table already been loaded.

Returns
  true if the table has been loaded already.

Definition at line 535 of file landscape.cpp.

Referenced by GlobalVarChangeInfo().

byte LowestSnowLine | ( |  | ) |

Get the lowest possible snow line height, either variable or static.

Returns
  the lowest snow line height.

Definition at line 588 of file landscape.cpp.

References _settings_game, GameSettings::game_creation, SnowLine::lowest_value, and GameCreationSettings::snow_line_height.

Referenced by TownViewWindow::DrawWidget(), and TownViewWindow::GetDesiredInfoHeight().

void SetSnowLine | ( | byte | table[SNOW_LINE_MONTHS][SNOW_LINE_DAYS] | ) |

Set a variable snow line, as loaded from a newgrf file.

Parameters

  table | the 12 * 32 byte table containing the snowline for each day

Definition at line 545 of file landscape.cpp.

References SnowLine::highest_value, SnowLine::lowest_value, max(), min(), SNOW_LINE_DAYS, SNOW_LINE_MONTHS, and SnowLine::table.

Referenced by GlobalVarChangeInfo().

## Variable Documentation

SnowLine* _snow_line = NULL
| static

Description of the snow line throughout the year.

If it is `NULL`, a static snowline height is used, as set by `_settings_game.game_creation.snow_line_height`. Otherwise it points to a table loaded from a newGRF file that describes the variable snowline.

See Also
  GetSnowLine() GameCreationSettings

Definition at line 89 of file landscape.cpp.